#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a,b,x,y;
    cin >> a >> b>> x>>y;
    if(a==x && b==y)
    {
        cout << "nijedan";
    }
    else if(b==y)
    {
        cout << "prvi";
    }
    else if(x==a)
    {
        cout << "drugi";
    }
    else
    {
        cout << "?";
    }
}